Динамическая регистрация клиента OAuth 2.0 (RFC 7591)
POST
/oauth/registerПараметры заголовков
idempotency-key?string
Ключ идемпотентности для безопасного повтора запроса: 8–255 символов из набора A-Za-z0-9_.:+/=-, ответ кэшируется на 24 ч
Совпадение
^[A-Za-z0-9_.:+/=-]{8,255}$Длина
8 <= length <= 255Тело запроса
application/json
TypeScript-определения
Используйте тип request body в TypeScript.
Тело ответа
application/json
application/json
application/problem+json
curl -X POST "https://example.com/oauth/register" \ -H "Content-Type: application/json" \ -d '{ "redirect_uris": [ "string" ] }'{ "application_type": "string", "client_id": "string", "client_id_issued_at": 0, "client_name": "string", "grant_types": [ "string" ], "redirect_uris": [ "string" ], "response_types": [ "string" ], "scope": "string", "token_endpoint_auth_method": "string"}